QChildEvent(3qt)

NAME
QChildEvent - Event parameters for child object events

SYNOPSIS
#include <qevent.h>

Inherits QEvent.

  Public Members
QChildEvent ( Type type, QObject * child )
QObject * child () const
bool inserted () const
bool removed () const

DESCRIPTION
The QChildEvent class contains event parameters for child object events.

Child events are sent to objects when children are inserted or removed.

A ChildRemoved event is sent immediately, but a ChildInserted event is posted (with QApplication::postEvent()).

Note that if a child is removed immediately after it is inserted, the ChildInserted event may be suppressed, but the ChildRemoved event will always be sent. In this case there will be a ChildRemoved event without a corresponding ChildInserted event.

The handler for these events is QObject::childEvent().

See also Event Classes.

MEMBER FUNCTION DOCUMENTATION

QChildEvent::QChildEvent ( Type type, QObject * child )
Constructs a child event object. The child is the object that is to be removed or inserted.

The type parameter must be either QEvent::ChildInserted or QEvent::ChildRemoved.

QObject * QChildEvent::child () const
Returns the child widget that was inserted or removed.

bool QChildEvent::inserted () const
Returns TRUE if the widget received a new child; otherwise returns FALSE.

bool QChildEvent::removed () const
Returns TRUE if the object lost a child; otherwise returns FALSE.

SEE ALSO
http://doc.trolltech.com/qchildevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qchildevent.3) and the Qt version (3.3.4).